icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons_061

Titan FTP < 3.30 CWD Remote Heap Overflow

Synopsis

The remote host is vulnerable to a buffer overflow.

Description

The remote is running Titan FTP Server. All versions up to and including 3.21 are reported vulnerable to a remote heap overflow in the CWD command processing. An attacker may deny service to legitimate users or execute arbitrary code on the remote host.

Solution

Upgrade to Titan FTP 3.30 or higher.